For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

token price multi

Deprecated
get

https://pro-api.solscan.io/v2.0/token/price/multi

Get the token price of multiple tokens.

QUERY PARAMS

address

array

required

A list of Solana token (mint) addresses. Maximum of 50 token addresses.

Maximum allowed values: 50

from_time

number

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?from_time=20240701&to_time=20240715

to_time

number

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?from_time=20240701&to_time=20240715

time

array

Deprecated

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?time[]=20240701&time[]=20240715

Maximum allowed values: 2

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

token_address

string

The token address

date

number

Datetime in format YYYYMMDD

price

number

The price of token (in USD)

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples